Bug 85178 - Kerberos Support in libpq (Port: PostgreSQL-Client)
Summary: Kerberos Support in libpq (Port: PostgreSQL-Client)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-21 09:40 UTC by Rainer Heesen
Modified: 2005-11-15 00:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Heesen 2005-08-21 09:40:18 UTC
I made these steps:

1. make config in /usr/ports/databases/postgresql80-server. I set the option with kerberos MIT
2, make intall in /usr/ports/databases/postgresql80-client
3. make install in /usr/ports/databases/pgadmin3
Error:
configure: error: you must specify a valid pgsql installation with --with-pgsql=
DIR
===>  Script "configure" failed unexpectedly.
Please report the problem to fjoe@FreeBSD.org [maintainer] and attach the
"/usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1
4. make install in /usr/ports/databases/postgesql-libpqxx
Error:
configure: error: you must specify a valid pgsql installation with --with-pgsql=
DIR
===>  Script "configure" failed unexpectedly.
Please report the problem to fjoe@FreeBSD.org [maintainer] and attach the
"/usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

These problems occur when I use kerberos by MIT or kerberos by Heimdal as well as with postgresql-7.4.8 or postgesql-8.0.3

Here are the config.logs:

Configure pgadmin3:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by pgadmin3 configure 1.2.0, which was
generated by GNU Autoconf 2.57.  Invocation command line was

  $ ./configure --with-wx=/usr/X11R6 --with-wx-config=wxgtk2u-2.6-config --prefix=/usr/local --build=i386-portbld-freebsd5.4

## --------- ##
## Platform. ##
## --------- ##

hostname = notebook.heesen-bonn.de
uname -m = i386
uname -r = 5.4-STABLE
uname -s = FreeBSD
uname -v = FreeBSD 5.4-STABLE #2: Wed Jul 13 20:43:44 CEST 2005     root@heesi.testnetz.detecon.net:/usr/obj/usr/src/sys/MYKERNEL 

/usr/bin/uname -p = i386
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /sbin
PATH: /bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /usr/games
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/X11R6/bin
PATH: /root/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1344: checking build system type
configure:1362: result: i386-portbld-freebsd5.4
configure:1370: checking host system type
configure:1384: result: i386-portbld-freebsd5.4
configure:1405: checking for a BSD-compatible install
configure:1459: result: /usr/bin/install -c -o root -g wheel
configure:1470: checking whether build environment is sane
configure:1513: result: yes
configure:1546: checking for gawk
configure:1575: result: no
configure:1546: checking for mawk
configure:1575: result: no
configure:1546: checking for nawk
configure:1562: found /usr/bin/nawk
configure:1572: result: nawk
configure:1582: checking whether make sets $(MAKE)
configure:1602: result: yes
configure:1815: checking for gcc
configure:1841: result: cc
configure:2085: checking for C compiler version
configure:2088: cc --version </dev/null >&5
cc (GCC) 3.4.2 [FreeBSD] 20040728
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2091: $? = 0
configure:2093: cc -v </dev/null >&5
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.2 [FreeBSD] 20040728
configure:2096: $? = 0
configure:2098: cc -V </dev/null >&5
cc: `-V' option must have argument
configure:2101: $? = 1
configure:2125: checking for C compiler default output
configure:2128: cc -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:2131: $? = 0
configure:2177: result: a.out
configure:2182: checking whether the C compiler works
configure:2188: ./a.out
configure:2191: $? = 0
configure:2208: result: yes
configure:2215: checking whether we are cross compiling
configure:2217: result: no
configure:2220: checking for suffix of executables
configure:2222: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:2225: $? = 0
configure:2250: result: 
configure:2256: checking for suffix of object files
configure:2278: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:2281: $? = 0
configure:2303: result: o
configure:2307: checking whether we are using the GNU C compiler
configure:2332: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:2335: $? = 0
configure:2338: test -s conftest.o
configure:2341: $? = 0
configure:2354: result: yes
configure:2360: checking whether cc accepts -g
configure:2382: cc -c -g -I/usr/local/include conftest.c >&5
configure:2385: $? = 0
configure:2388: test -s conftest.o
configure:2391: $? = 0
configure:2402: result: yes
configure:2419: checking for cc option to accept ANSI C
configure:2480: cc  -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:2483: $? = 0
configure:2486: test -s conftest.o
configure:2489: $? = 0
configure:2507: result: none needed
configure:2525: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
conftest.c:2: error: syntax error before "me"
configure:2528: $? = 1
configure: failed program was:
| #ifndef __cplusplus
|   choke me
| #endif
configure:2648: checking for style of include used by make
configure:2676: result: GNU
configure:2704: checking dependency style of cc
configure:2787: result: gcc3
configure:2898: checking for C++ compiler version
configure:2901: c++ --version </dev/null >&5
c++ (GCC) 3.4.2 [FreeBSD] 20040728
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2904: $? = 0
configure:2906: c++ -v </dev/null >&5
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.2 [FreeBSD] 20040728
configure:2909: $? = 0
configure:2911: c++ -V </dev/null >&5
c++: `-V' option must have argument
configure:2914: $? = 1
configure:2917: checking whether we are using the GNU C++ compiler
configure:2942: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:2945: $? = 0
configure:2948: test -s conftest.o
configure:2951: $? = 0
configure:2964: result: yes
configure:2970: checking whether c++ accepts -g
configure:2992: c++ -c -g -I/usr/local/include conftest.cc >&5
configure:2995: $? = 0
configure:2998: test -s conftest.o
configure:3001: $? = 0
configure:3012: result: yes
configure:3056: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:3059: $? = 0
configure:3062: test -s conftest.o
configure:3065: $? = 0
configure:3092: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure: In function `int main()':
configure:3090: error: `exit' undeclared (first use this function)
configure:3090: error: (Each undeclared identifier is reported only once for each function it appears in.)
configure:3095: $? = 1
configure: failed program was:
| #line 3076 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "pgadmin3"
| #define PACKAGE_TARNAME "pgadmin3"
| #define PACKAGE_VERSION "1.2.0"
| #define PACKAGE_STRING "pgadmin3 1.2.0"
| #define PACKAGE_BUGREPORT "pgadmin-support@postgresql.org"
| #define PACKAGE "pgadmin3"
| #define VERSION "1.2.0"
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| exit (42);
|   ;
|   return 0;
| }
configure:3056: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:3059: $? = 0
configure:3062: test -s conftest.o
configure:3065: $? = 0
configure:3092: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:3095: $? = 0
configure:3098: test -s conftest.o
configure:3101: $? = 0
configure:3126: checking dependency style of c++
configure:3209: result: gcc3
configure:3236: checking how to run the C preprocessor
configure:3272: cc -E -I/usr/local/include conftest.c
configure:3278: $? = 0
configure:3310: cc -E -I/usr/local/include conftest.c
configure:3315:28: ac_nonexistent.h: No such file or directory
configure:3316: $? = 1
configure: failed program was:
| #line 3302 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "pgadmin3"
| #define PACKAGE_TARNAME "pgadmin3"
| #define PACKAGE_VERSION "1.2.0"
| #define PACKAGE_STRING "pgadmin3 1.2.0"
| #define PACKAGE_BUGREPORT "pgadmin-support@postgresql.org"
| #define PACKAGE "pgadmin3"
| #define VERSION "1.2.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3354: result: cc -E
configure:3379: cc -E -I/usr/local/include conftest.c
configure:3385: $? = 0
configure:3417: cc -E -I/usr/local/include conftest.c
configure:3422:28: ac_nonexistent.h: No such file or directory
configure:3423: $? = 1
configure: failed program was:
| #line 3409 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "pgadmin3"
| #define PACKAGE_TARNAME "pgadmin3"
| #define PACKAGE_VERSION "1.2.0"
| #define PACKAGE_STRING "pgadmin3 1.2.0"
| #define PACKAGE_BUGREPORT "pgadmin-support@postgresql.org"
| #define PACKAGE "pgadmin3"
| #define VERSION "1.2.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3466: checking for egrep
configure:3476: result: grep -E
configure:3481: checking for ANSI C header files
configure:3507: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3510: $? = 0
configure:3513: test -s conftest.o
configure:3516: $? = 0
configure:3608: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:3611: $? = 0
configure:3613: ./conftest
configure:3616: $? = 0
configure:3631: result: yes
configure:3655: checking for sys/types.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for sys/stat.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for stdlib.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for string.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for memory.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for strings.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for inttypes.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for stdint.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3655: checking for unistd.h
configure:3672: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3675: $? = 0
configure:3678: test -s conftest.o
configure:3681: $? = 0
configure:3692: result: yes
configure:3721: checking arpa/inet.h usability
configure:3734: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3737: $? = 0
configure:3740: test -s conftest.o
configure:3743: $? = 0
configure:3753: result: yes
configure:3757: checking arpa/inet.h presence
configure:3768: cc -E -I/usr/local/include conftest.c
configure:3774: $? = 0
configure:3793: result: yes
configure:3829: checking for arpa/inet.h
configure:3836: result: yes
configure:3721: checking netdb.h usability
configure:3734: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3737: $? = 0
configure:3740: test -s conftest.o
configure:3743: $? = 0
configure:3753: result: yes
configure:3757: checking netdb.h presence
configure:3768: cc -E -I/usr/local/include conftest.c
configure:3774: $? = 0
configure:3793: result: yes
configure:3829: checking for netdb.h
configure:3836: result: yes
configure:3721: checking netinet/in.h usability
configure:3734: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3737: $? = 0
configure:3740: test -s conftest.o
configure:3743: $? = 0
configure:3753: result: yes
configure:3757: checking netinet/in.h presence
configure:3768: cc -E -I/usr/local/include conftest.c
configure:3774: $? = 0
configure:3793: result: yes
configure:3829: checking for netinet/in.h
configure:3836: result: yes
configure:3712: checking for stdlib.h
configure:3717: result: yes
configure:3851: checking for stdbool.h that conforms to C99
configure:3905: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3908: $? = 0
configure:3911: test -s conftest.o
configure:3914: $? = 0
configure:3925: result: yes
configure:3927: checking for _Bool
configure:3952: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3955: $? = 0
configure:3958: test -s conftest.o
configure:3961: $? = 0
configure:3972: result: yes
configure:3991: checking for an ANSI C-conforming const
configure:4059: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4062: $? = 0
configure:4065: test -s conftest.o
configure:4068: $? = 0
configure:4079: result: yes
configure:4089: checking for size_t
configure:4114: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4117: $? = 0
configure:4120: test -s conftest.o
configure:4123: $? = 0
configure:4134: result: yes
configure:4146: checking whether time.h and sys/time.h may both be included
configure:4172: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4175: $? = 0
configure:4178: test -s conftest.o
configure:4181: $? = 0
configure:4192: result: yes
configure:4204: checking for working strtod
configure:4248: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:4251: $? = 0
configure:4253: ./conftest
configure:4256: $? = 0
configure:4270: result: yes
configure:4421: checking for gethostbyname
configure:4471: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:4474: $? = 0
configure:4477: test -s conftest
configure:4480: $? = 0
configure:4491: result: yes
configure:4421: checking for inet_ntoa
configure:4471: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:4474: $? = 0
configure:4477: test -s conftest
configure:4480: $? = 0
configure:4491: result: yes
configure:4421: checking for memmove
configure:4471: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:4475: warning: conflicting types for built-in function 'memmove'
configure:4474: $? = 0
configure:4477: test -s conftest
configure:4480: $? = 0
configure:4491: result: yes
configure:4421: checking for memset
configure:4471: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:4476: warning: conflicting types for built-in function 'memset'
configure:4474: $? = 0
configure:4477: test -s conftest
configure:4480: $? = 0
configure:4491: result: yes
configure:4421: checking for strchr
configure:4471: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -pthread >&5
configure:4477: warning: conflicting types for built-in function 'strchr'
configure:4474: $? = 0
configure:4477: test -s conftest
configure:4480: $? = 0
configure:4491: result: yes
configure:4503: checking for wx-config binary
configure:4510: result: yes
configure:4521: result: yes
configure:4524: checking for pgsql include files
configure:4542: result: yes
configure:4563: checking for pgsql
configure:4580: result: yes
configure:4635: checking for PQexec in -lpq
configure:4666: cc -o conftest -O -pipe  -I/usr/local/include -I/usr/local/include  -L/usr/local/lib -L/usr/local/lib conftest.c -lpq  -pthread -lssl -lcrypto -lpq >&5
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_get_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_sname_to_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_default'
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_close'
/usr/local/lib/libpq.so: undefined reference to `error_message'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_error'
/usr/local/lib/libpq.so: undefined reference to `krb5_sendauth'
/usr/local/lib/libpq.so: undefined reference to `crypt'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_unparse_name'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_context'
/usr/local/lib/libpq.so: undefined reference to `krb5_init_context'
configure:4669: $? = 1
configure: failed program was:
| #line 4643 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "pgadmin3"
| #define PACKAGE_TARNAME "pgadmin3"
| #define PACKAGE_VERSION "1.2.0"
| #define PACKAGE_STRING "pgadmin3 1.2.0"
| #define PACKAGE_BUGREPORT "pgadmin-support@postgresql.org"
| #define PACKAGE "pgadmin3"
| #define VERSION "1.2.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE__BOOL 1
| #define HAVE_STDBOOL_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETHOSTBYNAME 1
| #define HAVE_INET_NTOA 1
| #define HAVE_MEMMOVE 1
| #define HAVE_MEMSET 1
| #define HAVE_STRCHR 1
| /* end confdefs.h.  */
| 
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char PQexec ();
| int
| main ()
| {
| PQexec ();
|   ;
|   return 0;
| }
configure:4687: result: no
configure:4695: checking for SSL_connect in -lpq
configure:4726: cc -o conftest -O -pipe  -I/usr/local/include -I/usr/local/include  -L/usr/local/lib -L/usr/local/lib conftest.c -lpq  -pthread -lssl -lcrypto -lpq >&5
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_get_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_sname_to_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_default'
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_close'
/usr/local/lib/libpq.so: undefined reference to `error_message'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_error'
/usr/local/lib/libpq.so: undefined reference to `krb5_sendauth'
/usr/local/lib/libpq.so: undefined reference to `crypt'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_unparse_name'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_context'
/usr/local/lib/libpq.so: undefined reference to `krb5_init_context'
configure:4729: $? = 1
configure: failed program was:
| #line 4703 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "pgadmin3"
| #define PACKAGE_TARNAME "pgadmin3"
| #define PACKAGE_VERSION "1.2.0"
| #define PACKAGE_STRING "pgadmin3 1.2.0"
| #define PACKAGE_BUGREPORT "pgadmin-support@postgresql.org"
| #define PACKAGE "pgadmin3"
| #define VERSION "1.2.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_NETDB_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE__BOOL 1
| #define HAVE_STDBOOL_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETHOSTBYNAME 1
| #define HAVE_INET_NTOA 1
| #define HAVE_MEMMOVE 1
| #define HAVE_MEMSET 1
| #define HAVE_STRCHR 1
| /* end confdefs.h.  */
| 
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char SSL_connect ();
| int
| main ()
| {
| SSL_connect ();
|   ;
|   return 0;
| }
configure:4747: result: no
configure:4765: checking libpq-fe.h usability
configure:4778: cc -c -O -pipe  -I/usr/local/include -I/usr/local/include conftest.c >&5
configure:4781: $? = 0
configure:4784: test -s conftest.o
configure:4787: $? = 0
configure:4797: result: yes
configure:4801: checking libpq-fe.h presence
configure:4812: cc -E -I/usr/local/include -I/usr/local/include conftest.c
configure:4818: $? = 0
configure:4837: result: yes
configure:4873: checking for libpq-fe.h
configure:4880: result: yes
configure:4904: checking pgsql in /usr/local
configure:4906: result: failed
configure:4910: error: you must specify a valid pgsql installation with --with-pgsql=DIR

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_header_libpq_fe_h=yes
ac_cv_type_size_t=yes
am_cv_CC_dependencies_compiler_type=gcc3
ac_cv_header_netinet_in_h=yes
ac_cv_env_CXXFLAGS_value='-O -pipe'
ac_cv_header_stdbool_h=yes
ac_cv_header_netdb_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_func_memmove=yes
ac_cv_prog_cc_g=yes
ac_cv_env_LDFLAGS_set=set
ac_cv_c_compiler_gnu=yes
ac_cv_exeext=
ac_cv_env_CFLAGS_set=set
lt_cv_sys_max_cmd_len=65536
pgsql_cv_libpq=no
ac_cv_env_CPP_value=
ac_cv_env_CPPFLAGS_set=set
ac_cv_func_inet_ntoa=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CXX_set=set
ac_cv_env_host_alias_set=
ac_cv_func_memset=yes
ac_cv_c_const=yes
ac_cv_header_sys_stat_h=yes
ac_cv_env_build_alias_set=set
ac_cv_env_LDFLAGS_value=' -L/usr/local/lib'
ac_cv_env_target_alias_set=
ac_cv_prog_cc_stdc=
ac_cv_host_alias=i386-portbld-freebsd5.4
ac_cv_env_CFLAGS_value='-O -pipe '
ac_cv_env_CC_set=set
ac_cv_header_sys_types_h=yes
ac_cv_header_stdc=yes
pgsql_cv_libpqfe_h=yes
ac_cv_header_time=yes
ac_cv_header_strings_h=yes
ac_cv_header_stdint_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_prog_egrep='grep -E'
ac_cv_prog_make_make_set=yes
ac_cv_func_gethostbyname=yes
ac_cv_header_unistd_h=yes
ac_cv_header_string_h=yes
ac_cv_build_alias=i386-portbld-freebsd5.4
ac_cv_env_CPPFLAGS_value=-I/usr/local/include
ac_cv_lib_pq_SSL_connect=no
ac_cv_func_strchr=yes
ac_cv_header_memory_h=yes
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXX_value=c++
ac_cv_host=i386-portbld-freebsd5.4
ac_cv_env_host_alias_value=
ac_cv_prog_cxx_g=yes
ac_cv_lib_pq_PQexec=no
ac_cv_prog_CPP='cc -E'
am_cv_CXX_dependencies_compiler_type=gcc3
ac_cv_prog_AWK=nawk
ac_cv_build=i386-portbld-freebsd5.4
ac_cv_env_build_alias_value=i386-portbld-freebsd5.4
ac_cv_type__Bool=yes
ac_cv_prog_ac_ct_CC=cc
ac_cv_env_target_alias_value=
ac_cv_env_CC_value=cc
ac_cv_func_strtod=yes
ac_cv_header_arpa_inet_h=yes
ac_cv_env_CPP_set=
ac_cv_objext=o

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config/missing --run aclocal-1.7'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config/missing --run tar'
AUTOCONF='${SHELL} /usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config/missing --run autoconf'
AUTOHEADER='${SHELL} /usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config/missing --run autoheader'
AUTOMAKE='${SHELL} /usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config/missing --run automake-1.7'
AWK='nawk'
CC='cc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-O -pipe '
CPP='cc -E'
CPPFLAGS='-I/usr/local/include'
CXX='c++'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-O -pipe'
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='grep -E'
EXEEXT=''
INSTALL_DATA='install  -o root -g wheel -m 444'
INSTALL_PROGRAM='install  -s -o root -g wheel -m 555'
INSTALL_SCRIPT='install  -o root -g wheel -m 555'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS=' -L/usr/local/lib'
LIBOBJS=''
LIBS='-pthread -lssl -lcrypto -lpq'
LTLIBOBJS=''
MAKEINFO='${SHELL} /usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config/missing --run makeinfo'
OBJEXT='o'
PACKAGE='pgadmin3'
PACKAGE_BUGREPORT='pgadmin-support@postgresql.org'
PACKAGE_NAME='pgadmin3'
PACKAGE_STRING='pgadmin3 1.2.0'
PACKAGE_TARNAME='pgadmin3'
PACKAGE_VERSION='1.2.0'
PATH_SEPARATOR=':'
POW_LIB=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='1.2.0'
ac_ct_CC='cc'
ac_ct_CXX=''
ac_ct_STRIP=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__leading_dot='.'
am__quote=''
bindir='${exec_prefix}/bin'
build='i386-portbld-freebsd5.4'
build_alias='i386-portbld-freebsd5.4'
build_cpu='i386'
build_os='freebsd5.4'
build_vendor='portbld'
datadir='${prefix}/share'
exec_prefix='NONE'
host='i386-portbld-freebsd5.4'
host_alias=''
host_cpu='i386'
host_os='freebsd5.4'
host_vendor='portbld'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/usr/ports/databases/pgadmin3/work/pgadmin3-1.2.0/config/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
prefix='/usr/local'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define HAVE_ARPA_INET_H 1
#define HAVE_GETHOSTBYNAME 1
#define HAVE_INET_NTOA 1
#define HAVE_INTTYPES_H 1
#define HAVE_MEMMOVE 1
#define HAVE_MEMORY_H 1
#define HAVE_MEMSET 1
#define HAVE_NETDB_H 1
#define HAVE_NETINET_IN_H 1
#define HAVE_STDBOOL_H 1
#define HAVE_STDINT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRCHR 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define HAVE__BOOL 1
#define PACKAGE "pgadmin3"
#define PACKAGE_BUGREPORT "pgadmin-support@postgresql.org"
#define PACKAGE_NAME "pgadmin3"
#define PACKAGE_STRING "pgadmin3 1.2.0"
#define PACKAGE_TARNAME "pgadmin3"
#define PACKAGE_VERSION "1.2.0"
#define STDC_HEADERS 1
#define TIME_WITH_SYS_TIME 1
#define VERSION "1.2.0"
#endif
#ifdef __cplusplus
#include <stdlib.h>

configure: exit 1

Configure postgresql-libpqxx:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by libpqxx configure 2.5.5, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  $ ./configure --with-postgres=/usr/local --enable-shared --with-postgres-include=/usr/local/include/postgresql --prefix=/usr/local i386-portbld-freebsd5.4

## --------- ##
## Platform. ##
## --------- ##

hostname = notebook.heesen-bonn.de
uname -m = i386
uname -r = 5.4-STABLE
uname -s = FreeBSD
uname -v = FreeBSD 5.4-STABLE #2: Wed Jul 13 20:43:44 CEST 2005     root@heesi.testnetz.detecon.net:/usr/obj/usr/src/sys/MYKERNEL 

/usr/bin/uname -p = i386
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/libexec/libtool15
PATH: /sbin
PATH: /bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /usr/games
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/X11R6/bin
PATH: /root/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1567: checking for a BSD-compatible install
configure:1622: result: /usr/bin/install -c -o root -g wheel
configure:1633: checking whether build environment is sane
configure:1676: result: yes
configure:1741: checking for gawk
configure:1770: result: no
configure:1741: checking for mawk
configure:1770: result: no
configure:1741: checking for nawk
configure:1757: found /usr/bin/nawk
configure:1767: result: nawk
configure:1777: checking whether gmake sets $(MAKE)
configure:1797: result: yes
configure:1987: checking for i386-portbld-freebsd5.4-g++
configure:2013: result: c++
configure:2071: checking for C++ compiler version
configure:2074: c++ --version </dev/null >&5
c++ (GCC) 3.4.2 [FreeBSD] 20040728
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2077: $? = 0
configure:2079: c++ -v </dev/null >&5
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.2 [FreeBSD] 20040728
configure:2082: $? = 0
configure:2084: c++ -V </dev/null >&5
c++: `-V' option must have argument
configure:2087: $? = 1
configure:2110: checking for C++ compiler default output file name
configure:2113: c++ -O -pipe -I/usr/local/include  -L/usr/local/lib conftest.cc  >&5
configure:2116: $? = 0
configure:2162: result: a.out
configure:2167: checking whether the C++ compiler works
configure:2173: ./a.out
configure:2176: $? = 0
configure:2193: result: yes
configure:2200: checking whether we are cross compiling
configure:2202: result: no
configure:2205: checking for suffix of executables
configure:2207: c++ -o conftest -O -pipe -I/usr/local/include  -L/usr/local/lib conftest.cc  >&5
configure:2210: $? = 0
configure:2235: result: 
configure:2241: checking for suffix of object files
configure:2262: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:2265: $? = 0
configure:2287: result: o
configure:2291: checking whether we are using the GNU C++ compiler
configure:2315: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:2321: $? = 0
configure:2324: test -z 			 || test ! -s conftest.err
configure:2327: $? = 0
configure:2330: test -s conftest.o
configure:2333: $? = 0
configure:2346: result: yes
configure:2352: checking whether c++ accepts -g
configure:2373: c++ -c -g -I/usr/local/include conftest.cc >&5
configure:2379: $? = 0
configure:2382: test -z 			 || test ! -s conftest.err
configure:2385: $? = 0
configure:2388: test -s conftest.o
configure:2391: $? = 0
configure:2402: result: yes
configure:2444: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:2450: $? = 0
configure:2453: test -z 			 || test ! -s conftest.err
configure:2456: $? = 0
configure:2459: test -s conftest.o
configure:2462: $? = 0
configure:2488: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
conftest.cc: In function `int main()':
conftest.cc:15: error: `exit' undeclared (first use this function)
conftest.cc:15: error: (Each undeclared identifier is reported only once for each function it appears in.)
configure:2494: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| exit (42);
|   ;
|   return 0;
| }
configure:2444: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:2450: $? = 0
configure:2453: test -z 			 || test ! -s conftest.err
configure:2456: $? = 0
configure:2459: test -s conftest.o
configure:2462: $? = 0
configure:2488: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:2494: $? = 0
configure:2497: test -z 			 || test ! -s conftest.err
configure:2500: $? = 0
configure:2503: test -s conftest.o
configure:2506: $? = 0
configure:2540: checking for style of include used by gmake
configure:2568: result: GNU
configure:2596: checking dependency style of c++
configure:2686: result: gcc3
configure:2711: checking for i386-portbld-freebsd5.4-gcc
configure:2737: result: cc
configure:3019: checking for C compiler version
configure:3022: cc --version </dev/null >&5
cc (GCC) 3.4.2 [FreeBSD] 20040728
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3025: $? = 0
configure:3027: cc -v </dev/null >&5
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.2 [FreeBSD] 20040728
configure:3030: $? = 0
configure:3032: cc -V </dev/null >&5
cc: `-V' option must have argument
configure:3035: $? = 1
configure:3038: checking whether we are using the GNU C compiler
configure:3062: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3068: $? = 0
configure:3071: test -z 			 || test ! -s conftest.err
configure:3074: $? = 0
configure:3077: test -s conftest.o
configure:3080: $? = 0
configure:3093: result: yes
configure:3099: checking whether cc accepts -g
configure:3120: cc -c -g -I/usr/local/include conftest.c >&5
configure:3126: $? = 0
configure:3129: test -z 			 || test ! -s conftest.err
configure:3132: $? = 0
configure:3135: test -s conftest.o
configure:3138: $? = 0
configure:3149: result: yes
configure:3166: checking for cc option to accept ANSI C
configure:3236: cc  -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:3242: $? = 0
configure:3245: test -z 			 || test ! -s conftest.err
configure:3248: $? = 0
configure:3251: test -s conftest.o
configure:3254: $? = 0
configure:3272: result: none needed
configure:3290: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
conftest.c:2: error: syntax error before "me"
configure:3296: $? = 1
configure: failed program was:
| #ifndef __cplusplus
|   choke me
| #endif
configure:3428: checking dependency style of cc
configure:3518: result: gcc3
configure:3548: checking for a BSD-compatible install
configure:3603: result: /usr/bin/install -c -o root -g wheel
configure:3693: checking build system type
configure:3711: result: i386-portbld-freebsd5.4
configure:3719: checking host system type
configure:3733: result: i386-portbld-freebsd5.4
configure:3741: checking for a sed that does not truncate output
configure:3795: result: /usr/bin/sed
configure:3798: checking for egrep
configure:3808: result: grep -E
configure:3824: checking for ld used by cc
configure:3891: result: /usr/bin/ld
configure:3900: checking if the linker (/usr/bin/ld) is GNU ld
configure:3915: result: yes
configure:3920: checking for /usr/bin/ld option to reload object files
configure:3927: result: -r
configure:3936: checking for BSD-compatible nm
configure:3978: result: nm
configure:3982: checking whether ln -s works
configure:3986: result: yes
configure:3993: checking how to recognise dependent libraries
configure:4167: result: pass_all
configure:4380: checking how to run the C preprocessor
configure:4415: cc -E -I/usr/local/include conftest.c
configure:4421: $? = 0
configure:4453: cc -E -I/usr/local/include conftest.c
conftest.c:14:28: ac_nonexistent.h: No such file or directory
configure:4459: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:4498: result: cc -E
configure:4522: cc -E -I/usr/local/include conftest.c
configure:4528: $? = 0
configure:4560: cc -E -I/usr/local/include conftest.c
conftest.c:14:28: ac_nonexistent.h: No such file or directory
configure:4566: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:4610: checking for ANSI C header files
configure:4635: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4641: $? = 0
configure:4644: test -z 			 || test ! -s conftest.err
configure:4647: $? = 0
configure:4650: test -s conftest.o
configure:4653: $? = 0
configure:4742: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c  >&5
configure:4745: $? = 0
configure:4747: ./conftest
configure:4750: $? = 0
configure:4765: result: yes
configure:4789: checking for sys/types.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for sys/stat.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for stdlib.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for string.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for memory.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for strings.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for inttypes.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for stdint.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4789: checking for unistd.h
configure:4805: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4811: $? = 0
configure:4814: test -z 			 || test ! -s conftest.err
configure:4817: $? = 0
configure:4820: test -s conftest.o
configure:4823: $? = 0
configure:4834: result: yes
configure:4860: checking dlfcn.h usability
configure:4872: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:4878: $? = 0
configure:4881: test -z 			 || test ! -s conftest.err
configure:4884: $? = 0
configure:4887: test -s conftest.o
configure:4890: $? = 0
configure:4900: result: yes
configure:4904: checking dlfcn.h presence
configure:4914: cc -E -I/usr/local/include conftest.c
configure:4920: $? = 0
configure:4940: result: yes
configure:4975: checking for dlfcn.h
configure:4982: result: yes
configure:5000: checking how to run the C++ preprocessor
configure:5031: c++ -E -I/usr/local/include conftest.cc
configure:5037: $? = 0
configure:5069: c++ -E -I/usr/local/include conftest.cc
conftest.cc:25:28: ac_nonexistent.h: No such file or directory
configure:5075: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:5114: result: c++ -E
configure:5138: c++ -E -I/usr/local/include conftest.cc
configure:5144: $? = 0
configure:5176: c++ -E -I/usr/local/include conftest.cc
conftest.cc:25:28: ac_nonexistent.h: No such file or directory
configure:5182: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:5235: checking for i386-portbld-freebsd5.4-g77
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-f77
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-xlf
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-frt
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-pgf77
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-fort77
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-fl32
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-af77
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-f90
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-xlf90
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-pgf90
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-epcf90
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-f95
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-fort
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-xlf95
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-ifc
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-efc
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-pgf95
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-lf95
configure:5264: result: no
configure:5235: checking for i386-portbld-freebsd5.4-gfortran
configure:5264: result: no
configure:5277: checking for g77
configure:5306: result: no
configure:5277: checking for f77
configure:5293: found /usr/bin/f77
configure:5303: result: f77
configure:5318: checking for Fortran 77 compiler version
configure:5321: f77 --version </dev/null >&5
GNU Fortran (GCC) 3.4.2 [FreeBSD] 20040728
Copyright (C) 2004 Free Software Foundation, Inc.

GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING
or type the command `info -f g77 Copying'.
configure:5324: $? = 0
configure:5326: f77 -v </dev/null >&5
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.2 [FreeBSD] 20040728
configure:5329: $? = 0
configure:5331: f77 -V </dev/null >&5
f77: `-V' option must have argument
configure:5334: $? = 1
configure:5342: checking whether we are using the GNU Fortran 77 compiler
configure:5356: f77 -c  conftest.F >&5
configure:5362: $? = 0
configure:5365: test -z 			 || test ! -s conftest.err
configure:5368: $? = 0
configure:5371: test -s conftest.o
configure:5374: $? = 0
configure:5387: result: yes
configure:5393: checking whether f77 accepts -g
configure:5405: f77 -c -g conftest.f >&5
configure:5411: $? = 0
configure:5414: test -z 			 || test ! -s conftest.err
configure:5417: $? = 0
configure:5420: test -s conftest.o
configure:5423: $? = 0
configure:5435: result: yes
configure:5465: checking the maximum length of command line arguments
configure:5530: result: 65536
configure:5541: checking command to parse nm output from cc object
configure:5630: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:5633: $? = 0
configure:5637: nm conftest.o \| sed -n -e 's/^.*[ 	]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ 	][ 	]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' \> conftest.nm
configure:5640: $? = 0
configure:5692: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c conftstm.o >&5
configure:5695: $? = 0
configure:5733: result: ok
configure:5737: checking for objdir
configure:5752: result: .libs
configure:5804: checking for i386-portbld-freebsd5.4-ar
configure:5833: result: no
configure:5842: checking for ar
configure:5858: found /usr/bin/ar
configure:5869: result: ar
configure:5884: checking for i386-portbld-freebsd5.4-ranlib
configure:5913: result: no
configure:5922: checking for ranlib
configure:5938: found /usr/bin/ranlib
configure:5949: result: ranlib
configure:5964: checking for i386-portbld-freebsd5.4-strip
configure:5993: result: no
configure:6002: checking for strip
configure:6018: found /usr/bin/strip
configure:6029: result: strip
configure:6291: checking if cc static flag  works
configure:6314: result: yes
configure:6332: checking if cc supports -fno-rtti -fno-exceptions
configure:6350: cc -c -O -pipe  -I/usr/local/include -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
configure:6354: $? = 0
configure:6365: result: no
configure:6380: checking for cc option to produce PIC
configure:6557: result: -fPIC
configure:6565: checking if cc PIC flag -fPIC works
configure:6583: cc -c -O -pipe  -I/usr/local/include -fPIC -DPIC conftest.c >&5
configure:6587: $? = 0
configure:6598: result: yes
configure:6622: checking if cc supports -c -o file.o
configure:6643: cc -c -O -pipe  -I/usr/local/include -o out/conftest2.o conftest.c >&5
configure:6647: $? = 0
configure:6667: result: yes
configure:6693: checking whether the cc linker (/usr/bin/ld) supports shared libraries
configure:7540: result: yes
configure:7566: checking whether -lc should be explicitly linked in
configure:7571: cc -c -O -pipe  -I/usr/local/include conftest.c >&5
configure:7574: $? = 0
configure:7588: cc -shared conftest.o  -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| grep  -lc  \>/dev/null 2\>\&1
configure:7591: $? = 1
configure:7603: result: yes
configure:7611: checking dynamic linker characteristics
configure:8163: result: freebsd5.4 ld.so
configure:8167: checking how to hardcode library paths into programs
configure:8192: result: immediate
configure:8206: checking whether stripping libraries is possible
configure:8211: result: yes
configure:9034: checking if libtool supports shared libraries
configure:9036: result: yes
configure:9039: checking whether to build shared libraries
configure:9097: result: yes
configure:9100: checking whether to build static libraries
configure:9104: result: yes
configure:9196: creating libtool
configure:9743: checking for ld used by c++
configure:9810: result: /usr/bin/ld
configure:9819: checking if the linker (/usr/bin/ld) is GNU ld
configure:9834: result: yes
configure:9885: checking whether the c++ linker (/usr/bin/ld) supports shared libraries
configure:10711: result: yes
configure:10729: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:10732: $? = 0
configure:10828: checking for c++ option to produce PIC
configure:11080: result: -fPIC
configure:11088: checking if c++ PIC flag -fPIC works
configure:11106: c++ -c -O -pipe -I/usr/local/include -fPIC -DPIC conftest.cc >&5
configure:11110: $? = 0
configure:11121: result: yes
configure:11145: checking if c++ supports -c -o file.o
configure:11166: c++ -c -O -pipe -I/usr/local/include -o out/conftest2.o conftest.cc >&5
configure:11170: $? = 0
configure:11190: result: yes
configure:11216: checking whether the c++ linker (/usr/bin/ld) supports shared libraries
configure:11244: result: yes
configure:11315: checking dynamic linker characteristics
configure:11867: result: freebsd5.4 ld.so
configure:11871: checking how to hardcode library paths into programs
configure:11896: result: immediate
configure:11910: checking whether stripping libraries is possible
configure:11915: result: yes
configure:13215: checking if libtool supports shared libraries
configure:13217: result: yes
configure:13220: checking whether to build shared libraries
configure:13238: result: yes
configure:13241: checking whether to build static libraries
configure:13245: result: yes
configure:13257: checking for f77 option to produce PIC
configure:13434: result: -fPIC
configure:13442: checking if f77 PIC flag -fPIC works
configure:13460: f77 -c -g -O2 -fPIC conftest.f >&5
configure:13464: $? = 0
configure:13475: result: yes
configure:13499: checking if f77 supports -c -o file.o
configure:13520: f77 -c -g -O2 -o out/conftest2.o conftest.f >&5
configure:13524: $? = 0
configure:13544: result: yes
configure:13570: checking whether the f77 linker (/usr/bin/ld) supports shared libraries
configure:14397: result: yes
configure:14468: checking dynamic linker characteristics
configure:15020: result: freebsd5.4 ld.so
configure:15024: checking how to hardcode library paths into programs
configure:15049: result: immediate
configure:15063: checking whether stripping libraries is possible
configure:15068: result: yes
configure:19158: checking whether gmake sets $(MAKE)
configure:19178: result: yes
configure:19189: checking for mkdir
configure:19207: found /bin/mkdir
configure:19219: result: /bin/mkdir
configure:19228: checking for doxygen
configure:19246: found /usr/local/bin/doxygen
configure:19258: result: /usr/local/bin/doxygen
configure:19277: checking for dot
configure:19293: found /usr/local/bin/dot
configure:19304: result: YES
configure:19313: checking for xmlto
configure:19346: result: no
configure:19362: checking whether to enable maintainer-specific portions of Makefiles
configure:19371: result: no
configure:19388: checking maintainer mode
configure:19395: result: 
configure:19511: checking g++ visibility attribute
configure:19536: c++ -c -O -pipe -Werror -I/usr/local/include conftest.cc >&5
conftest.cc:27: warning: `visibility' attribute does not apply to types
configure:19542: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| 
| #ifdef __GNUC__
| struct __attribute__ ((visibility("hidden"))) d { d() {} void f() {} };
| #endif
| 
| int
| main ()
| {
| d D;D.f()
|   ;
|   return 0;
| }
configure:19568: result: no
configure:19581: checking thread safety
configure:19590: result: yes
configure:19598: checking name of standard library namespace
configure:19617: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
conftest.cc: In function `int main()':
conftest.cc:29: error: `::string' has not been declared
conftest.cc:29: error: expected `;' before "a"
configure:19623: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| #include <string>
| int
| main ()
| {
| ::string a;
|   ;
|   return 0;
| }
configure:19617: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:19623: $? = 0
configure:19626: test -z 			 || test ! -s conftest.err
configure:19629: $? = 0
configure:19632: test -s conftest.o
configure:19635: $? = 0
configure:19617: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
conftest.cc: In function `int main()':
conftest.cc:29: error: `stlp_std' has not been declared
conftest.cc:29: error: `string' undeclared (first use this function)
conftest.cc:29: error: (Each undeclared identifier is reported only once for each function it appears in.)
conftest.cc:29: error: expected `;' before "a"
configure:19623: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| #include <string>
| int
| main ()
| {
| stlp_std::string a;
|   ;
|   return 0;
| }
configure:19650: result: std
configure:19669: checking ios usability
configure:19681: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:19687: $? = 0
configure:19690: test -z 			 || test ! -s conftest.err
configure:19693: $? = 0
configure:19696: test -s conftest.o
configure:19699: $? = 0
configure:19709: result: yes
configure:19713: checking ios presence
configure:19723: c++ -E -I/usr/local/include conftest.cc
configure:19729: $? = 0
configure:19749: result: yes
configure:19784: checking for ios
configure:19791: result: yes
configure:19818: checking streambuf usability
configure:19830: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:19836: $? = 0
configure:19839: test -z 			 || test ! -s conftest.err
configure:19842: $? = 0
configure:19845: test -s conftest.o
configure:19848: $? = 0
configure:19858: result: yes
configure:19862: checking streambuf presence
configure:19872: c++ -E -I/usr/local/include conftest.cc
configure:19878: $? = 0
configure:19898: result: yes
configure:19933: checking for streambuf
configure:19940: result: yes
configure:19967: checking locale usability
configure:19979: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:19985: $? = 0
configure:19988: test -z 			 || test ! -s conftest.err
configure:19991: $? = 0
configure:19994: test -s conftest.o
configure:19997: $? = 0
configure:20007: result: yes
configure:20011: checking locale presence
configure:20021: c++ -E -I/usr/local/include conftest.cc
configure:20027: $? = 0
configure:20047: result: yes
configure:20082: checking for locale
configure:20089: result: yes
configure:20105: checking char_traits template
configure:20125: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:20131: $? = 0
configure:20134: test -z 			 || test ! -s conftest.err
configure:20137: $? = 0
configure:20140: test -s conftest.o
configure:20143: $? = 0
configure:20157: result: yes
configure:20160: checking "warning" preprocessor directive
configure:20179: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
conftest.cc:30:2: warning: #warning cpp supports warning directive
configure:20185: $? = 0
configure:20188: test -z 			 || test ! -s conftest.err
configure:20191: $? = 0
configure:20194: test -s conftest.o
configure:20197: $? = 0
configure:20211: result: yes
configure:20214: checking "message" preprocessor pragma
configure:20233: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:20239: $? = 0
configure:20242: test -z 			 || test ! -s conftest.err
configure:20245: $? = 0
configure:20248: test -s conftest.o
configure:20251: $? = 0
configure:20265: result: yes
configure:20273: checking for pg_config
configure:20291: found /usr/local/bin/pg_config
configure:20303: result: /usr/local/bin/pg_config
configure:20327: using PostgreSQL headers at /usr/local/include
configure:20330: using PostgreSQL libraries at /usr/local/lib
configure:20341: checking for ANSI C header files
configure:20496: result: yes
configure:20507: checking ability to compile programs using the standard C library
configure:20527: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:20533: $? = 0
configure:20536: test -z 			 || test ! -s conftest.err
configure:20539: $? = 0
configure:20542: test -s conftest.o
configure:20545: $? = 0
configure:20579: result: yes
configure:20594: checking /usr/local/include/libpq-fe.h usability
configure:20606: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:20612: $? = 0
configure:20615: test -z 			 || test ! -s conftest.err
configure:20618: $? = 0
configure:20621: test -s conftest.o
configure:20624: $? = 0
configure:20634: result: yes
configure:20638: checking /usr/local/include/libpq-fe.h presence
configure:20648: c++ -E -I/usr/local/include conftest.cc
configure:20654: $? = 0
configure:20674: result: yes
configure:20709: checking for /usr/local/include/libpq-fe.h
configure:20716: result: yes
configure:20751: checking for ability to compile source files using libpq
configure:20769: c++ -c -O -pipe -I/usr/local/include conftest.cc >&5
configure:20775: $? = 0
configure:20778: test -z 			 || test ! -s conftest.err
configure:20781: $? = 0
configure:20784: test -s conftest.o
configure:20787: $? = 0
configure:20813: result: yes
configure:20825: checking for ability to link with libpq
configure:20828: checking for main in -lpq
configure:20852: cc -o conftest -O -pipe  -I/usr/local/include  -L/usr/local/lib conftest.c -lpq -L/usr/local/lib  >&5
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_get_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_sname_to_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_default'
/usr/local/lib/libpq.so: undefined reference to `krb5_cc_close'
/usr/local/lib/libpq.so: undefined reference to `error_message'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_error'
/usr/local/lib/libpq.so: undefined reference to `krb5_sendauth'
/usr/local/lib/libpq.so: undefined reference to `crypt'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_principal'
/usr/local/lib/libpq.so: undefined reference to `krb5_unparse_name'
/usr/local/lib/libpq.so: undefined reference to `krb5_free_context'
/usr/local/lib/libpq.so: undefined reference to `krb5_init_context'
configure:20858: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libpqxx"
| #define PACKAGE_TARNAME "libpqxx"
| #define PACKAGE_VERSION "2.5.5"
| #define PACKAGE_STRING "libpqxx 2.5.5"
| #define PACKAGE_BUGREPORT "Jeroen T. Vermeulen <jtv@xs4all.nl>"
| #define PACKAGE "libpqxx"
| #define VERSION "2.5.5"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define PGSTD std
| #define PQXX_HAVE_IOS 1
| #define PQXX_HAVE_STREAMBUF 1
| #define PQXX_HAVE_LOCALE 1
| #define PQXX_HAVE_CHAR_TRAITS 1
| #define PQXX_HAVE_CPP_WARNING 1
| #define PQXX_HAVE_CPP_PRAGMA_MESSAGE 1
| #define STDC_HEADERS 1
| /* end confdefs.h.  */
| 
| 
| int
| main ()
| {
| main ();
|   ;
|   return 0;
| }
configure:20883: result: no
configure:20893: error:
Could not link to libpq.  Make sure you have the PostgreSQL client library
installed, and that the library binary can be found in the location returned by
"pg_config --libdir".


## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_header__usr_local_include_libpq_fe_h=yes
ac_cv_header_ios=yes
lt_lt_cv_sys_global_symbol_pipe='"sed -n -e '\''s/^.*[ 	]\\([ABCDGIRSTW][ABCDGIRSTW]*\\)[ 	][ 	]*\\(\\)\\([_A-Za-z][_A-Za-z0-9]*\\)\$/\\1 \\2\\3 \\3/p'\''"'
ac_cv_prog_ac_ct_F77=f77
am_cv_CC_dependencies_compiler_type=gcc3
ac_cv_prog_CXXCPP='c++ -E'
ac_cv_env_CXXFLAGS_value='-O -pipe'
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\)$/extern int \1;/p'\'''
ac_cv_f77_compiler_gnu=yes
ac_cv_env_F77_value=
ac_cv_header_stdlib_h=yes
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_prog_gnu_ldcxx=yes
ac_cv_prog_cc_g=yes
ac_cv_env_CXXCPP_set=
ac_cv_env_LDFLAGS_set=set
lt_cv_prog_compiler_c_o_CXX=yes
ac_cv_prog_ac_ct_AR=ar
ac_cv_c_compiler_gnu=yes
ac_cv_exeext=
ac_cv_env_CFLAGS_set=set
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) $/  {\"\1\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \([^ ]*\) \([^ ]*\)$/  {"\2", (lt_ptr) \&\2},/p'\'''
ac_cv_prog_CXX=c++
ac_cv_path_PG_CONFIG=/usr/local/bin/pg_config
lt_lt_cv_sys_global_symbol_to_cdecl='"sed -n -e '\''s/^. .* \\(.*\\)\$/extern int \\1;/p'\''"'
ac_cv_prog_make_gmake_set=yes
ac_cv_env_FFLAGS_set=
lt_cv_sys_max_cmd_len=65536
ac_cv_env_CPP_value=
ac_cv_env_CPPFLAGS_set=set
ac_cv_path_MKDIR=/bin/mkdir
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CXX_set=set
lt_lt_cv_prog_compiler_c_o_CXX='"yes"'
ac_cv_env_host_alias_set=set
ac_cv_header_streambuf=yes
lt_lt_cv_sys_global_symbol_to_c_name_address='"sed -n -e '\''s/^: \\([^ ]*\\) \$/  {\\\"\\1\\\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \\([^ ]*\\) \\([^ ]*\\)\$/  {\"\\2\", (lt_ptr) \\&\\2},/p'\''"'
lt_cv_ld_reload_flag=-r
ac_cv_prog_CC=cc
lt_cv_prog_gnu_ld=yes
ac_cv_header_sys_stat_h=yes
ac_cv_env_build_alias_set=set
lt_cv_prog_compiler_c_o=yes
ac_cv_prog_f77_g=yes
ac_cv_env_CXXCPP_value=
ac_cv_env_LDFLAGS_value=' -L/usr/local/lib'
ac_cv_env_target_alias_set=set
ac_cv_header_locale=yes
ac_cv_host_alias=i386-portbld-freebsd5.4
ac_cv_prog_cc_stdc=
ac_cv_env_CFLAGS_value='-O -pipe '
ac_cv_env_CC_set=set
lt_cv_prog_compiler_c_o_F77=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_stdc=yes
ac_cv_header_strings_h=yes
lt_cv_path_SED=/usr/bin/sed
ac_cv_path_DOXYGEN=/usr/local/bin/doxygen
ac_cv_header_stdint_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_prog_egrep='grep -E'
ac_cv_env_FFLAGS_value=
lt_cv_path_LD=/usr/bin/ld
lt_cv_prog_compiler_rtti_exceptions=no
ac_cv_header_unistd_h=yes
ac_cv_header_string_h=yes
ac_cv_build_alias=i386-portbld-freebsd5.4
ac_cv_env_CPPFLAGS_value=-I/usr/local/include
ac_cv_lib_pq_main=no
lt_lt_cv_prog_compiler_c_o='"yes"'
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_header_memory_h=yes
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXX_value=c++
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_host=i386-portbld-freebsd5.4
ac_cv_env_F77_set=
ac_cv_env_host_alias_value=i386-portbld-freebsd5.4
lt_lt_cv_prog_compiler_c_o_F77='"yes"'
lt_cv_objdir=.libs
ac_cv_prog_cxx_g=yes
lt_cv_file_magic_test_file=
ac_cv_prog_CPP='cc -E'
ac_cv_build=i386-portbld-freebsd5.4
am_cv_CXX_dependencies_compiler_type=gcc3
ac_cv_prog_AWK=nawk
ac_cv_env_build_alias_value=i386-portbld-freebsd5.4
ac_cv_prog_HAVE_DOT=YES
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ 	]\([ABCDGIRSTW
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-08-22 02:37:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer.
Comment 2 lyndon 2005-09-04 01:08:39 UTC
This looks like it's a duplicate of ports/80869.

Try the patch I just submitted (see http://www.freebsd.org/cgi/query- 
pr.cgi?pr=ports/80869) and see if that fixes things.
Comment 3 Rainer Heesen 2005-09-05 17:55:28 UTC
Tanks for your patch. I tried it, but it doesn't work. The errors still
exist.

> --- Ursprüngliche Nachricht ---
> Von: Lyndon Nerenberg <lyndon@orthanc.ca>
> An: bug-followup@FreeBSD.org, rainer.heesen@gmx.de
> Betreff: Re: ports/85178: Kerberos Support in libpq (Port:
> PostgreSQL-Client)
> Datum: Sat, 3 Sep 2005 17:08:39 -0700
> 
> This looks like it's a duplicate of ports/80869.
> 
> Try the patch I just submitted (see http://www.freebsd.org/cgi/query- 
> pr.cgi?pr=ports/80869) and see if that fixes things.
>
Comment 4 Palle Girgensohn freebsd_committer 2005-11-15 00:13:56 UTC
State Changed
From-To: open->closed

I made several fixes to postgresql+kerberos. 
For MIT-Kerberos to work as expected, you must probably 
remove the base heimdal installation, since it has higher 
version number of libkrb5.so than the ones that security/krb5 
installs. See postgresqlXX-server/Makefile CVS comments for 
more information.